Subject: bug#10907: 24.0.94; Updating display of Customize buffer

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Feb 2012 21:06:59 -0500

> Ah, thanks.  I feared as much.  Is there really no way to reevaluate a
> defcustom in a running Emacs?

Agreed that there should be some way to have a defcustom type that is
a bit more dynamic: no need to completely reevaluate the whole
expression, but being able to have a dynamic set of `choice's would
be helpful.
I don't know Custom enough to be sure that it doesn't exist, so if it
does, please someone change the :type of completion-styles to make use
of it.  If it doesn't, well, patches welcome,

        Stefan